Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

doc: V8 branch used in 8.x not active anymore #18155

Closed
wants to merge 1 commit into from

Conversation

Projects
None yet
@fhinkel
Copy link
Member

commented Jan 15, 2018

Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

Affected core subsystem(s)

doc

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.
The versions of V8 used in Node.js v4.x and v6.x have already been abandoned by
upstream V8. However, Node.js needs to continue supporting these branches for
many months (Current branches) or several years (LTS branches).
The versions of V8 used in Node.js v4.x, v6.x, and 8.x have already been

This comment has been minimized.

Copy link
@evanlucas

evanlucas Jan 15, 2018

Member

should we make this consistent? Either 4.x, 6.x, and 8.x or v4.x, v6.x, and v8.x?

This comment has been minimized.

Copy link
@fhinkel

fhinkel Jan 15, 2018

Author Member

Deliberately without the v, because starting with 8, we refer to Node as Node 8. But I'm happy to change it if we prefer consistency.

This comment has been minimized.

Copy link
@evanlucas

evanlucas Jan 15, 2018

Member

ah yea, that's right. I'm indifferent :]

@targos

targos approved these changes Jan 15, 2018

@Alweezy

This comment has been minimized.

Copy link

commented Jan 15, 2018

@evanlucas hey, I'm new here and looking for ways to contribute to node, are you referring to the fact that naming conventions should be consistent?

@evanlucas

This comment has been minimized.

Copy link
Member

commented Jan 15, 2018

@Alweezy yes, that is what I was referring to. I had forgotten we had changed from v.x to .x due to possible confusion with the node v8 (version 8 of node) and V8 (the JavaScript engine). If you are interested in contributing to node, I would suggest starting off by looking through the issue list and looking specifically at https://github.com/nodejs/node/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22. Thanks!

The versions of V8 used in Node.js v4.x and v6.x have already been abandoned by
upstream V8. However, Node.js needs to continue supporting these branches for
many months (Current branches) or several years (LTS branches).
The versions of V8 used in Node.js v4.x, v6.x, and 8.x have already been

This comment has been minimized.

Copy link
@mhdawson

mhdawson Jan 15, 2018

Member

Does it make sense to list the versions and continually update? Wondering if we could just use some wording like "The versions of V8 used in Node.js have most often already been abanded by upstream V8."

@lpinca

lpinca approved these changes Jan 15, 2018

@joyeecheung

This comment has been minimized.

@addaleax

This comment has been minimized.

Copy link
Member

commented Jan 18, 2018

Landed in 0c41782

@addaleax addaleax closed this Jan 18, 2018

@addaleax addaleax removed the author ready label Jan 18, 2018

addaleax added a commit that referenced this pull request Jan 18, 2018

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

PR-URL: #18155
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Luigi Pinca <luigipinca@gmail.com>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>

evanlucas added a commit that referenced this pull request Jan 30, 2018

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

PR-URL: #18155
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Luigi Pinca <luigipinca@gmail.com>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>

evanlucas added a commit that referenced this pull request Jan 30, 2018

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

PR-URL: #18155
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Luigi Pinca <luigipinca@gmail.com>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>

msoechting added a commit to hpicgs/node that referenced this pull request Feb 5, 2018

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

PR-URL: nodejs#18155
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Luigi Pinca <luigipinca@gmail.com>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>

msoechting added a commit to hpicgs/node that referenced this pull request Feb 7, 2018

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

PR-URL: nodejs#18155
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Luigi Pinca <luigipinca@gmail.com>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>

MylesBorins added a commit that referenced this pull request Feb 27, 2018

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

PR-URL: #18155
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Luigi Pinca <luigipinca@gmail.com>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>

MylesBorins added a commit that referenced this pull request Feb 27, 2018

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

PR-URL: #18155
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Luigi Pinca <luigipinca@gmail.com>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>

This was referenced Feb 27, 2018

MayaLekova added a commit to MayaLekova/node that referenced this pull request May 8, 2018

doc: V8 branch used in 8.x not active anymore
Add 8.x to the LTS versions that use a V8 branch that is
not active anymore.

PR-URL: nodejs#18155
Reviewed-By: Evan Lucas <evanlucas@me.com>
Reviewed-By: Michaël Zasso <targos@protonmail.com>
Reviewed-By: James M Snell <jasnell@gmail.com>
Reviewed-By: Luigi Pinca <luigipinca@gmail.com>
Reviewed-By: Colin Ihrig <cjihrig@gmail.com>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.